diff --git a/test/integration/lib/redmine/menu_manager_test.rb b/test/integration/lib/redmine/menu_manager_test.rb
index 4070cdb0c..1e7c1f17f 100644
--- a/test/integration/lib/redmine/menu_manager_test.rb
+++ b/test/integration/lib/redmine/menu_manager_test.rb
@@ -22,15 +22,6 @@ require_relative '../../../test_helper'
 class MenuManagerTest < Redmine::IntegrationTest
   include Redmine::I18n
 
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :repositories
-
   def test_project_menu_with_specific_locale
     get '/projects/ecookbook/issues',
         :headers => {'HTTP_ACCEPT_LANGUAGE' => 'fr,fr-fr;q=0.8,en-us;q=0.5,en;q=0.3'}
diff --git a/test/integration/projects_test.rb b/test/integration/projects_test.rb
index 3da9da707..35a39cfce 100644
--- a/test/integration/projects_test.rb
+++ b/test/integration/projects_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectsTest < Redmine::IntegrationTest
-  fixtures :projects, :users, :members, :enabled_modules
-
   def test_archive_project
     subproject = Project.find(1).children.first
     log_user("admin", "admin")
diff --git a/test/integration/repositories_git_test.rb b/test/integration/repositories_git_test.rb
index 8a33c356e..20d643449 100644
--- a/test/integration/repositories_git_test.rb
+++ b/test/integration/repositories_git_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoriesGitTest < Redmine::IntegrationTest
-  fixtures :projects, :users, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
   REPOSITORY_PATH.tr!('/', "\\") if Redmine::Platform.mswin?
   PRJ_ID     = 3
diff --git a/test/integration/sessions_test.rb b/test/integration/sessions_test.rb
index e34184cb7..553cf8f99 100644
--- a/test/integration/sessions_test.rb
+++ b/test/integration/sessions_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class SessionsTest < Redmine::IntegrationTest
-  fixtures :users, :email_addresses, :roles
-
   def setup
     Rails.application.config.redmine_verify_sessions = true
   end
diff --git a/test/integration/sudo_mode_test.rb b/test/integration/sudo_mode_test.rb
index 68a312b83..228e527ed 100644
--- a/test/integration/sudo_mode_test.rb
+++ b/test/integration/sudo_mode_test.rb
@@ -3,8 +3,6 @@
 require_relative '../test_helper'
 
 class SudoModeTest < Redmine::IntegrationTest
-  fixtures :projects, :members, :member_roles, :roles, :users, :email_addresses
-
   def setup
     Redmine::SudoMode.stubs(:enabled?).returns(true)
   end
diff --git a/test/integration/twofa_test.rb b/test/integration/twofa_test.rb
index 4b33fdfe6..7aa8ec4ac 100644
--- a/test/integration/twofa_test.rb
+++ b/test/integration/twofa_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class TwofaTest < Redmine::IntegrationTest
-  fixtures :projects, :users, :email_addresses
-
   test "should require twofa setup when configured" do
     with_settings twofa: "2" do
       assert Setting.twofa_required?
diff --git a/test/integration/users_test.rb b/test/integration/users_test.rb
index 35672e053..115b40ae8 100644
--- a/test/integration/users_test.rb
+++ b/test/integration/users_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class UsersTest < Redmine::IntegrationTest
-  fixtures :users, :email_addresses
-
   def test_destroy_should_not_accept_get_requests
     log_user('admin', 'admin')
 
diff --git a/test/integration/welcome_test.rb b/test/integration/welcome_test.rb
index 3097e73e5..8aa6d64be 100644
--- a/test/integration/welcome_test.rb
+++ b/test/integration/welcome_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class WelcomeTest < Redmine::IntegrationTest
-  fixtures :users, :email_addresses,
-           :projects, :enabled_modules, :members, :member_roles, :roles
-
   def test_robots
     Project.find(3).update_attribute :status, Project::STATUS_CLOSED
 
diff --git a/test/integration/wiki_test.rb b/test/integration/wiki_test.rb
index e91a9748d..92850c216 100644
--- a/test/integration/wiki_test.rb
+++ b/test/integration/wiki_test.rb
@@ -20,18 +20,6 @@
 require_relative '../test_helper'
 
 class WikiIntegrationTest < Redmine::IntegrationTest
-  fixtures :projects,
-           :users, :email_addresses,
-           :roles,
-           :members,
-           :member_roles,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :wikis,
-           :wiki_pages,
-           :wiki_contents
-
   def test_updating_a_renamed_page
     log_user('jsmith', 'jsmith')
 
diff --git a/test/system/copy_to_clipboard_test.rb b/test/system/copy_to_clipboard_test.rb
index 30a041ae0..3ff947b0b 100644
--- a/test/system/copy_to_clipboard_test.rb
+++ b/test/system/copy_to_clipboard_test.rb
@@ -20,12 +20,6 @@
 require_relative '../application_system_test_case'
 
 class CopyToClipboardSystemTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details, :versions,
-           :workflows, :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def test_copy_issue_url_to_clipboard
     log_user('jsmith', 'jsmith')
     visit 'issues/1'
diff --git a/test/system/custom_field_enumerations_test.rb b/test/system/custom_field_enumerations_test.rb
index a1a09c2b5..dca021583 100644
--- a/test/system/custom_field_enumerations_test.rb
+++ b/test/system/custom_field_enumerations_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class CustomFieldEnumerationsTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details
-
   def test_add_empty_value
     custom_field = IssueCustomField.generate!(field_format: 'enumeration')
     log_user('admin', 'admin')
diff --git a/test/system/inline_autocomplete_test.rb b/test/system/inline_autocomplete_test.rb
index 97f90e55f..4b2271b79 100644
--- a/test/system/inline_autocomplete_test.rb
+++ b/test/system/inline_autocomplete_test.rb
@@ -20,13 +20,6 @@
 require_relative '../application_system_test_case'
 
 class InlineAutocompleteSystemTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details, :versions,
-           :workflows, :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :boards, :messages
-
   def test_inline_autocomplete_for_issues
     log_user('jsmith', 'jsmith')
     visit 'issues/new'
diff --git a/test/system/issues_import_test.rb b/test/system/issues_import_test.rb
index fd25715e6..d0b1c064e 100644
--- a/test/system/issues_import_test.rb
+++ b/test/system/issues_import_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class IssuesImportTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details
-
   def test_import_issues_without_failures
     log_user('jsmith', 'jsmith')
     visit '/issues'
diff --git a/test/system/issues_reply_test.rb b/test/system/issues_reply_test.rb
index 7ab5e21c2..86cd21f16 100644
--- a/test/system/issues_reply_test.rb
+++ b/test/system/issues_reply_test.rb
@@ -20,13 +20,6 @@
 require_relative '../application_system_test_case'
 
 class IssuesReplyTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules,
-           :issue_statuses, :issues, :issue_categories,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details, :versions,
-           :workflows
-
   def test_reply_to_issue
     with_text_formatting 'common_mark' do
       within '.issue.details' do
diff --git a/test/system/issues_test.rb b/test/system/issues_test.rb
index be0744157..c23cbd27c 100644
--- a/test/system/issues_test.rb
+++ b/test/system/issues_test.rb
@@ -20,13 +20,6 @@
 require_relative '../application_system_test_case'
 
 class IssuesSystemTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules,
-           :issue_statuses, :issues, :issue_categories,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details, :versions,
-           :workflows
-
   def test_create_issue
     log_user('jsmith', 'jsmith')
     visit '/projects/ecookbook/issues/new'
diff --git a/test/system/keyboard_shortcuts_test.rb b/test/system/keyboard_shortcuts_test.rb
index 2c98567c0..51772d678 100644
--- a/test/system/keyboard_shortcuts_test.rb
+++ b/test/system/keyboard_shortcuts_test.rb
@@ -20,12 +20,6 @@
 require_relative '../application_system_test_case'
 
 class KeyboardShortcutsTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details, :versions,
-           :workflows
-
   def test_keyboard_shortcuts_to_switch_edit_preview_tabs
     log_user('jsmith', 'jsmith')
     visit 'issues/new'
diff --git a/test/system/messages_test.rb b/test/system/messages_test.rb
index 9a53a3f42..66a29a3a7 100644
--- a/test/system/messages_test.rb
+++ b/test/system/messages_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class MessagesTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :roles, :members, :member_roles,
-           :enabled_modules, :enumerations,
-           :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :boards, :messages, :attachments
-
   def test_reply_to_topic_message
     with_text_formatting 'common_mark' do
       within '#content > .contextual' do
diff --git a/test/system/my_page_test.rb b/test/system/my_page_test.rb
index fee76af0f..cc60a056b 100644
--- a/test/system/my_page_test.rb
+++ b/test/system/my_page_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class MyPageTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details
-
   def test_sort_assigned_issues
     preferences = User.find(2).pref
     preferences.my_page_layout = {'top' => ['issuesassignedtome']}
diff --git a/test/system/quick_jump_test.rb b/test/system/quick_jump_test.rb
index 275cba791..81acbe0f5 100644
--- a/test/system/quick_jump_test.rb
+++ b/test/system/quick_jump_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class QuickJumpTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :watchers, :journals, :journal_details
-
   def test_project_quick_jump
     log_user 'jsmith', 'jsmith'
     visit '/'
diff --git a/test/system/repositories_test.rb b/test/system/repositories_test.rb
index e799d0e42..c617e0a5e 100644
--- a/test/system/repositories_test.rb
+++ b/test/system/repositories_test.rb
@@ -20,10 +20,6 @@
 require_relative '../application_system_test_case'
 
 class RepositoriesTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles, :enabled_modules,
-           :repositories, :issues, :issue_statuses, :changesets, :changes,
-           :issue_categories, :enumerations, :custom_fields, :custom_values, :trackers
-
   def setup
     @project = Project.find(1)
     @repository = Repository::Subversion.create(:project => @project,
diff --git a/test/system/sudo_mode_test.rb b/test/system/sudo_mode_test.rb
index 20904edb6..73e755acd 100644
--- a/test/system/sudo_mode_test.rb
+++ b/test/system/sudo_mode_test.rb
@@ -20,8 +20,6 @@
 require_relative '../application_system_test_case'
 
 class SudoModeSystemTest < ApplicationSystemTestCase
-  fixtures :users, :email_addresses
-
   def setup
     Redmine::SudoMode.stubs(:enabled?).returns(true)
     super
diff --git a/test/system/timelog_test.rb b/test/system/timelog_test.rb
index 94b86f592..57c521096 100644
--- a/test/system/timelog_test.rb
+++ b/test/system/timelog_test.rb
@@ -22,11 +22,6 @@ require_relative '../application_system_test_case'
 Capybara.default_max_wait_time = 2
 
 class TimelogTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,
-           :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,
-           :time_entries
-
   def test_changing_project_should_update_activities
     project = Project.find(1)
     TimeEntryActivity.create!(:name => 'Design', :project => project, :parent => TimeEntryActivity.find_by_name('Design'), :active => false)
diff --git a/test/system/versions_test.rb b/test/system/versions_test.rb
index 0f6c68c24..6944f0e7a 100644
--- a/test/system/versions_test.rb
+++ b/test/system/versions_test.rb
@@ -20,11 +20,6 @@
 require_relative '../application_system_test_case'
 
 class VersionsSystemTest < ApplicationSystemTestCase
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :trackers, :projects_trackers, :enabled_modules,
-           :issue_statuses, :issues, :issue_categories,
-           :enumerations, :versions, :workflows
-
   def test_create_from_issue_form_with_file_custom_field
     VersionCustomField.generate!(:field_format => 'attachment')
 
diff --git a/test/test_helper.rb b/test/test_helper.rb
index ca4b3fe47..aa7e43b01 100644
--- a/test/test_helper.rb
+++ b/test/test_helper.rb
@@ -56,6 +56,8 @@ class ActiveSupport::TestCase
 
   include ActionDispatch::TestProcess
 
+  fixtures :all
+
   self.use_transactional_tests = true
   self.use_instantiated_fixtures  = false
 
diff --git a/test/unit/activity_test.rb b/test/unit/activity_test.rb
index 9ea960f70..3575e98e6 100644
--- a/test/unit/activity_test.rb
+++ b/test/unit/activity_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class ActivityTest < ActiveSupport::TestCase
-  fixtures :projects, :versions, :attachments, :users, :roles, :members, :member_roles, :issues, :journals, :journal_details,
-           :trackers, :projects_trackers, :issue_statuses, :enabled_modules, :enumerations, :boards, :messages, :time_entries,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def setup
     User.current = nil
     @project = Project.find(1)
diff --git a/test/unit/attachment_test.rb b/test/unit/attachment_test.rb
index 6af8b79d7..3200e46cd 100644
--- a/test/unit/attachment_test.rb
+++ b/test/unit/attachment_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class AttachmentTest < ActiveSupport::TestCase
-  fixtures :users, :email_addresses, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :attachments
-
   def setup
     User.current = nil
     set_tmp_attachments_directory
diff --git a/test/unit/attachment_transaction_test.rb b/test/unit/attachment_transaction_test.rb
index d18b8157a..5b7543856 100644
--- a/test/unit/attachment_transaction_test.rb
+++ b/test/unit/attachment_transaction_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class AttachmentTest < ActiveSupport::TestCase
-  fixtures :users, :email_addresses, :projects, :roles, :members, :member_roles,
-           :enabled_modules, :issues, :trackers, :attachments
-
   self.use_transactional_tests = false
 
   def setup
diff --git a/test/unit/auth_source_ldap_test.rb b/test/unit/auth_source_ldap_test.rb
index e270ff906..a3a257b67 100644
--- a/test/unit/auth_source_ldap_test.rb
+++ b/test/unit/auth_source_ldap_test.rb
@@ -21,8 +21,6 @@ require_relative '../test_helper'
 
 class AuthSourceLdapTest < ActiveSupport::TestCase
   include Redmine::I18n
-  fixtures :auth_sources
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/board_test.rb b/test/unit/board_test.rb
index d792bb443..9f9b6e38b 100644
--- a/test/unit/board_test.rb
+++ b/test/unit/board_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class BoardTest < ActiveSupport::TestCase
-  fixtures :projects, :boards, :messages, :attachments, :watchers
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/changeset_test.rb b/test/unit/changeset_test.rb
index af7e31531..ca1e010e3 100644
--- a/test/unit/changeset_test.rb
+++ b/test/unit/changeset_test.rb
@@ -20,19 +20,6 @@
 require_relative '../test_helper'
 
 class ChangesetTest < ActiveSupport::TestCase
-  fixtures :projects, :repositories, :versions,
-           :issues, :issue_statuses, :issue_categories,
-           :watchers,
-           :journals, :journal_details,
-           :workflows,
-           :changesets, :changes,
-           :enumerations,
-           :custom_fields, :custom_values,
-           :users, :members, :member_roles,
-           :email_addresses,
-           :trackers, :projects_trackers,
-           :enabled_modules, :roles
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/comment_test.rb b/test/unit/comment_test.rb
index 2a2ba19fa..a41001a89 100644
--- a/test/unit/comment_test.rb
+++ b/test/unit/comment_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class CommentTest < ActiveSupport::TestCase
-  fixtures :users, :email_addresses, :news, :comments, :projects, :enabled_modules,
-           :user_preferences, :roles, :members, :member_roles
-
   def setup
     User.current = nil
     @jsmith = User.find(2)
diff --git a/test/unit/custom_field_test.rb b/test/unit/custom_field_test.rb
index 92d4d33af..608176559 100644
--- a/test/unit/custom_field_test.rb
+++ b/test/unit/custom_field_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class CustomFieldTest < ActiveSupport::TestCase
-  fixtures :custom_fields, :roles, :projects,
-           :trackers, :issue_statuses,
-           :issues, :users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/custom_field_user_format_test.rb b/test/unit/custom_field_user_format_test.rb
index f972daf67..d72012d65 100644
--- a/test/unit/custom_field_user_format_test.rb
+++ b/test/unit/custom_field_user_format_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class CustomFieldUserFormatTest < ActiveSupport::TestCase
-  fixtures :custom_fields, :projects, :members, :users, :member_roles, :trackers, :issues
-
   def setup
     User.current = nil
     @field = IssueCustomField.create!(:name => 'Tester', :field_format => 'user')
diff --git a/test/unit/custom_field_version_format_test.rb b/test/unit/custom_field_version_format_test.rb
index 219f3343a..998d287df 100644
--- a/test/unit/custom_field_version_format_test.rb
+++ b/test/unit/custom_field_version_format_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class CustomFieldVersionFormatTest < ActiveSupport::TestCase
-  fixtures :custom_fields, :projects, :members, :users, :member_roles, :trackers, :issues, :versions
-
   def setup
     User.current = nil
     @field = IssueCustomField.create!(:name => 'Tester', :field_format => 'version')
diff --git a/test/unit/custom_value_test.rb b/test/unit/custom_value_test.rb
index c76382a53..a1f2e69a0 100644
--- a/test/unit/custom_value_test.rb
+++ b/test/unit/custom_value_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class CustomValueTest < ActiveSupport::TestCase
-  fixtures :custom_fields, :custom_values, :users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/default_data_test.rb b/test/unit/default_data_test.rb
index 0f4e08aa3..d5affab1d 100644
--- a/test/unit/default_data_test.rb
+++ b/test/unit/default_data_test.rb
@@ -21,8 +21,6 @@ require_relative '../test_helper'
 
 class DefaultDataTest < ActiveSupport::TestCase
   include Redmine::I18n
-  fixtures :roles
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/document_category_test.rb b/test/unit/document_category_test.rb
index 8d6f9fc5e..c9df1b306 100644
--- a/test/unit/document_category_test.rb
+++ b/test/unit/document_category_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class DocumentCategoryTest < ActiveSupport::TestCase
-  fixtures :enumerations, :documents, :issues
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/document_test.rb b/test/unit/document_test.rb
index 0011e53c3..02c2769cb 100644
--- a/test/unit/document_test.rb
+++ b/test/unit/document_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class DocumentTest < ActiveSupport::TestCase
-  fixtures :projects, :enumerations, :documents, :attachments,
-           :enabled_modules,
-           :users, :email_addresses, :members, :member_roles, :roles,
-           :groups_users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/email_address_test.rb b/test/unit/email_address_test.rb
index a25a0bed0..9d57beb97 100644
--- a/test/unit/email_address_test.rb
+++ b/test/unit/email_address_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class EmailAddressTest < ActiveSupport::TestCase
-  fixtures :users
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/enabled_module_test.rb b/test/unit/enabled_module_test.rb
index 50bd49066..7446b2c27 100644
--- a/test/unit/enabled_module_test.rb
+++ b/test/unit/enabled_module_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class EnabledModuleTest < ActiveSupport::TestCase
-  fixtures :projects, :trackers, :issue_statuses, :wikis
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/enumeration_test.rb b/test/unit/enumeration_test.rb
index c92024e5c..e7b2c0826 100644
--- a/test/unit/enumeration_test.rb
+++ b/test/unit/enumeration_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class EnumerationTest < ActiveSupport::TestCase
-  fixtures :enumerations, :issues, :custom_fields, :custom_values
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/group_test.rb b/test/unit/group_test.rb
index 59923927c..1fd836ca3 100644
--- a/test/unit/group_test.rb
+++ b/test/unit/group_test.rb
@@ -20,13 +20,6 @@
 require_relative '../test_helper'
 
 class GroupTest < ActiveSupport::TestCase
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users,
-           :projects_trackers,
-           :roles, :member_roles, :members,
-           :groups_users,
-           :watchers
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/issue_category_test.rb b/test/unit/issue_category_test.rb
index 0df90d132..60107232c 100644
--- a/test/unit/issue_category_test.rb
+++ b/test/unit/issue_category_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class IssueCategoryTest < ActiveSupport::TestCase
-  fixtures :issue_categories, :issues, :users, :groups_users
-
   def setup
     User.current = nil
     @category = IssueCategory.find(1)
diff --git a/test/unit/issue_custom_field_test.rb b/test/unit/issue_custom_field_test.rb
index cf55bc252..d8c9c790a 100644
--- a/test/unit/issue_custom_field_test.rb
+++ b/test/unit/issue_custom_field_test.rb
@@ -22,8 +22,6 @@ require_relative '../test_helper'
 class IssueCustomFieldTest < ActiveSupport::TestCase
   include Redmine::I18n
 
-  fixtures :roles
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_import_test.rb b/test/unit/issue_import_test.rb
index a47dd6e23..de4207045 100644
--- a/test/unit/issue_import_test.rb
+++ b/test/unit/issue_import_test.rb
@@ -20,20 +20,6 @@
 require_relative '../test_helper'
 
 class IssueImportTest < ActiveSupport::TestCase
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses,
-           :roles, :members, :member_roles,
-           :issues, :issue_statuses,
-           :trackers, :projects_trackers,
-           :versions,
-           :issue_categories,
-           :enumerations,
-           :workflows,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_projects,
-           :custom_fields_trackers
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/issue_nested_set_concurrency_test.rb b/test/unit/issue_nested_set_concurrency_test.rb
index 561252a3d..2692ce99f 100644
--- a/test/unit/issue_nested_set_concurrency_test.rb
+++ b/test/unit/issue_nested_set_concurrency_test.rb
@@ -20,12 +20,6 @@
 require_relative '../test_helper'
 
 class IssueNestedSetConcurrencyTest < ActiveSupport::TestCase
-  fixtures :projects, :users,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :issue_statuses,
-           :enumerations
-
   self.use_transactional_tests = false
 
   def setup
diff --git a/test/unit/issue_nested_set_test.rb b/test/unit/issue_nested_set_test.rb
index 2e21a5150..43d0f7110 100644
--- a/test/unit/issue_nested_set_test.rb
+++ b/test/unit/issue_nested_set_test.rb
@@ -20,12 +20,6 @@
 require_relative '../test_helper'
 
 class IssueNestedSetTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :roles,
-           :trackers, :projects_trackers,
-           :issue_statuses, :issue_categories, :issue_relations,
-           :enumerations,
-           :issues
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_priority_test.rb b/test/unit/issue_priority_test.rb
index 693f73a44..e076afe67 100644
--- a/test/unit/issue_priority_test.rb
+++ b/test/unit/issue_priority_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class IssuePriorityTest < ActiveSupport::TestCase
-  fixtures :enumerations, :issues
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_relation_test.rb b/test/unit/issue_relation_test.rb
index 198dd94ad..5e0009344 100644
--- a/test/unit/issue_relation_test.rb
+++ b/test/unit/issue_relation_test.rb
@@ -20,19 +20,6 @@
 require_relative '../test_helper'
 
 class IssueRelationTest < ActiveSupport::TestCase
-  fixtures :projects,
-           :users,
-           :roles,
-           :members,
-           :member_roles,
-           :issues,
-           :issue_statuses,
-           :issue_relations,
-           :enabled_modules,
-           :enumerations,
-           :trackers,
-           :projects_trackers
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/issue_scopes_test.rb b/test/unit/issue_scopes_test.rb
index b5bcafcf7..077a411f0 100644
--- a/test/unit/issue_scopes_test.rb
+++ b/test/unit/issue_scopes_test.rb
@@ -20,14 +20,6 @@
 require_relative '../test_helper'
 
 class IssueScopesTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :members, :member_roles, :roles,
-           :groups_users,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :versions, :issue_statuses, :issue_categories, :enumerations,
-           :issues,
-           :custom_fields, :custom_fields_projects, :custom_fields_trackers, :custom_values
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_status_test.rb b/test/unit/issue_status_test.rb
index ce5922f6a..aa9629943 100644
--- a/test/unit/issue_status_test.rb
+++ b/test/unit/issue_status_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class IssueStatusTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :members, :member_roles, :roles,
-           :groups_users,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :versions,
-           :issue_statuses, :issue_categories, :issue_relations, :workflows,
-           :enumerations,
-           :issues, :journals, :journal_details,
-           :custom_fields, :custom_fields_projects, :custom_fields_trackers, :custom_values
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_subtasking_test.rb b/test/unit/issue_subtasking_test.rb
index 9e4d22194..4a0f2cbd9 100644
--- a/test/unit/issue_subtasking_test.rb
+++ b/test/unit/issue_subtasking_test.rb
@@ -20,13 +20,6 @@
 require_relative '../test_helper'
 
 class IssueSubtaskingTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :roles, :members, :member_roles,
-           :trackers, :projects_trackers,
-           :issue_statuses, :issue_categories, :enumerations,
-           :issues,
-           :enabled_modules,
-           :workflows
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/issue_test.rb b/test/unit/issue_test.rb
index 28bb33964..76189f681 100644
--- a/test/unit/issue_test.rb
+++ b/test/unit/issue_test.rb
@@ -20,18 +20,6 @@
 require_relative '../test_helper'
 
 class IssueTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :email_addresses, :user_preferences, :members, :member_roles, :roles,
-           :groups_users,
-           :trackers, :projects_trackers,
-           :enabled_modules,
-           :versions,
-           :issue_statuses, :issue_categories, :issue_relations, :workflows,
-           :enumerations,
-           :issues, :journals, :journal_details,
-           :watchers,
-           :custom_fields, :custom_fields_projects, :custom_fields_trackers, :custom_values,
-           :time_entries
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/issue_transaction_test.rb b/test/unit/issue_transaction_test.rb
index dbbc162f1..dacbf4dad 100644
--- a/test/unit/issue_transaction_test.rb
+++ b/test/unit/issue_transaction_test.rb
@@ -20,15 +20,6 @@
 require_relative '../test_helper'
 
 class IssueTransactionTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :members, :member_roles, :roles,
-           :trackers, :projects_trackers,
-           :versions,
-           :issue_statuses, :issue_categories, :issue_relations, :workflows,
-           :enumerations,
-           :issues,
-           :custom_fields, :custom_fields_projects, :custom_fields_trackers, :custom_values,
-           :time_entries
-
   self.use_transactional_tests = false
 
   def setup
